Skip to main content
`Ctrl`+`K`

# MatProductGetMats

Returns the matrices associated with the matrix-matrix product associated with computing values for the given matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatProductGetMats(Mat mat, Mat *A, Mat *B, Mat *C)

Not Collective

## Input Parameter

- mat - the matrix whose values are to be computed via a matrix-matrix product operation

## Output Parameters

- A - the first matrix

- B - the second matrix

- C - the third matrix (may be `NULL` for some `MatProductType`)

## See Also

Matrices, `MatProduct`, `Mat`, `MatProductCreateWithMat()`, `MatProductSetType()`, `MatProductSetAlgorithm()`, `MatProductCreate()`

## Level

intermediate

## Location

src/mat/interface/matproduct.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages